libzypp: zypp::syscontent::Writer::Impl Class Reference

libzypp 17.25.10

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
zypp::syscontent::Writer::Impl Class Reference

## Public Member Functions
std::ostream & | writeXml (std::ostream &str) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl. More...

## Public Attributes
std::string | _name
Edition | _edition
std::string | _description
StorageT | _onsys

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer More...

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

See also
  Writer

Definition at line 61 of file SysContent.cc.

## Member Function Documentation

## ◆ writeXml()

std::ostream & zypp::syscontent::Writer::Impl::writeXml | ( | std::ostream & | str | ) | const

Definition at line 93 of file SysContent.cc.

## ◆ nullimpl()

static shared_ptr<Impl> zypp::syscontent::Writer::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 74 of file SysContent.cc.

## ◆ clone()

Impl* zypp::syscontent::Writer::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 83 of file SysContent.cc.

## Friends And Related Function Documentation

## ◆ rwcowClone

Impl* rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _name

std::string zypp::syscontent::Writer::Impl::_name

Definition at line 67 of file SysContent.cc.

## ◆ _edition

Edition zypp::syscontent::Writer::Impl::_edition

Definition at line 68 of file SysContent.cc.

## ◆ _description

std::string zypp::syscontent::Writer::Impl::_description

Definition at line 69 of file SysContent.cc.

## ◆ _onsys

StorageT zypp::syscontent::Writer::Impl::_onsys

Definition at line 70 of file SysContent.cc.

The documentation for this class was generated from the following file:

- zypp/SysContent.cc